sábado, 7 de noviembre de 2009

Problemas con la actualización a Ubuntu 9.10

Sin audio

Luego de las primeras pruebas que hice en mi actualización a Karmic Koala noté, con preocupación, que al sistema no le funcionaba el audio.

Evidentemente no era un problema de conexiones, porque en el otro sistema operativo instalado en la misma máquina, el audio funcionaba correctamente.

Además, Google mediante, vi que era un problema que se había dado en varios casos con quienes actualizaron de versión con el Gestor de actualizaciones.

En principio di con esta página (en inglés): http://ubuntuforums.org/showthread.php?t=789578, que parecía solucionar el problema. Seguí los pasos que sugiere, pero no me funcionó.

Seguí buscando y en otro sitio (que lamentablemente ahora no lo encuentro para referenciarlo) encontré una discusión similar y alguien sugería que el problema podría ser que el Grub (gestor de arranque) estuviera apuntando a un kernel viejo y que esa fuera la razón de la falta de audio.

Busqué, entonces, cómo eliminar kernels antiguos y según alvizio (en Ubuntu-es), primero hay que verificar que versiones del kernel están disponibles en el sistema. Para ello, en una terminal, hay que escribir:

sudo dpkg -l | grep linux-image

Para luego borrar las versiones antiguas que no utilizamos:

sudo apt-get remove --purge KERNEL

Donde KERNEL es la versión a eliminar, algo del estilo linux-image-2.6.28-11-generic.

En algún momento del proceso de eliminación del kernel viejo, el sistema pregunta qué hacer con el grub, ya que en mi caso, como sugería la discusión, lo tenía apuntando al kernel anterior que estaba eliminando; entonces, a esa pregunta le contesté la opción de utilizar el del responsable del paquete (o algo así).

Yo eliminé el más viejo de todos los Kernels que tenía disponible y con eso ya recuperé el audio (o con eso y con lo que había hecho antes).

Igualmente mi Grub seguía apuntando a un kernel anterior, así que busqué como hacer que apunte al kernel más nuevo y di con las sugerencias de IgnaciO (en Ubuntu-es):

  1. Lo más sencillo es reinstalar el kernel (synaptic, linux-image-generic->Marcar_para_reinstalar)

    Hice esto y, por lo visto, me instaló el kernel 2.6.31.14.27.

  2. El archivo menu.lst se debería actualizar automáticamente, pero si lo has modificado te preguntará, dile que SÍ y "después" lo modificas a tu gusto: puedes borrar/ocultar entradas, elegir el kernel/S.O predeterminado, los colores , el tiempo de espera...

    No me preguntó nada. Así que abrí e menu.lst desde Gedit y vi que el menu.lst sí estaba direccionado hacia el kernel recién actualizado.

Para tener clara la situación, volví a ejecutar sudo dpkg -l | grep linux-image y me listó 4 kernels más que el recién instalado, pero todos anteriores.

Problema con el plugin de Firefox para ver los archivos de Flash

Otro problema que se me reportaba de forma periódica hacía referencia a un archivo npviewwr.bin.

La solución la encontré, vía esta discusión, en esta entrada de nixify.blogspot.com y básicamente consiste en
bajar el archivo libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz, descomprimirlo y copiarlo a /usr/lib/mozilla/plugins.

No hay comentarios:

Publicar un comentario

Lo que escriba a continuación será revisado antes de publicarse.
Gracias por tus comentarios.